Name:          jgoodies-animation
Version:       1.4.3
Release:       3%{?dist}
Summary:       Framework for time-based real-time animations in Java
License:       BSD
#Alt. URL:     http://java.net/projects/animation
URL:           http://www.jgoodies.com/freeware/animation/index.html

Source0:       http://www.jgoodies.com/download/libraries/animation/%{name}-%(tr "." "_" <<<%{version}).zip

BuildArch:     noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.jgoodies:jgoodies-common)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)


%description
The JGoodies Animation framework enables you to produce time-based real-time
animations in Java. It uses concepts and notions as described by the W3C
specification for the Synchronized Multimedia Integration Language (SMIL).

This animation framework has been designed for a seemless, flexible
and powerful integration with Java, ease-of-use and a small library size.
Unlike SMIL we use Java to describe the animations – not XML.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

mkdir -p src/main/java
(cd src/main/java && jar xf ../../../%{name}-%{version}-sources.jar)
mkdir -p src/test/java
(cd src/test/java && jar xf ../../../%{name}-%{version}-tests.jar)
find -name "*.jar" -delete

sed -i 's|\r||g' LICENSE.txt RELEASE-NOTES.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt README.html RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Michael Simacek <msimacek@redhat.com> - 1.4.3-1
- Update to upstream version 1.4.3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Jaromir Capik <jcapik@redhat.com> - 1.3.0-1
- Initial version
